Bug 1420707 - semanage module -d / -e tracebacks
Summary: semanage module -d / -e tracebacks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 25
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1420527
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 10:56 UTC by Petr Lautrbach
Modified: 2017-04-12 14:50 UTC (History)
8 users (show)

Fixed In Version: policycoreutils-2.5-20.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1420527
Environment:
Last Closed: 2017-04-09 21:52:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Lautrbach 2017-02-09 10:56:54 UTC
+++ This bug was initially created as a clone of Bug #1420527 +++

Description of problem:
* semanage tracebacks instead of complaining that these options require an additional argument

Version-Release number of selected component (if applicable):
policycoreutils-2.5-12.el7.x86_64
policycoreutils-python-2.5-12.el7.x86_64

How reproducible:
* always

Steps to Reproduce:
# semanage module -d
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 937, in <module>
    do_parser()
  File "/usr/sbin/semanage", line 916, in do_parser
    args.func(args)
  File "/usr/sbin/semanage", line 572, in handleModule
    OBJECT.set_enabled(args.module_name, False)
  File "/usr/lib/python2.7/site-packages/seobject/__init__.py", line 397, in set_enabled
    for m in module.split():
AttributeError: 'NoneType' object has no attribute 'split'
# semanage module -e
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 937, in <module>
    do_parser()
  File "/usr/sbin/semanage", line 916, in do_parser
    args.func(args)
  File "/usr/sbin/semanage", line 570, in handleModule
    OBJECT.set_enabled(args.module_name, True)
  File "/usr/lib/python2.7/site-packages/seobject/__init__.py", line 397, in set_enabled
    for m in module.split():
AttributeError: 'NoneType' object has no attribute 'split'
#

Actual results:
* semanage module tracebacks

Expected results:
* following message appears:
ValueError: You did not define module name

Comment 2 Petr Lautrbach 2017-04-06 15:30:37 UTC
policycoreutils-2.6-5.fc27

Comment 3 Fedora Update System 2017-04-06 16:16:19 UTC
policycoreutils-2.6-5.fc26 libselinux-2.6-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f21a1bffda

Comment 4 Fedora Update System 2017-04-07 07:42:08 UTC
policycoreutils-2.5-20.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c89d1d37d0

Comment 5 Fedora Update System 2017-04-07 19:58:07 UTC
policycoreutils-2.5-20.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c89d1d37d0

Comment 6 Fedora Update System 2017-04-07 21:20:54 UTC
libselinux-2.6-5.fc26, policycoreutils-2.6-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f21a1bffda

Comment 7 Fedora Update System 2017-04-09 21:52:07 UTC
policycoreutils-2.5-20.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-04-12 14:50:53 UTC
libselinux-2.6-5.fc26, policycoreutils-2.6-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.